Amazon FireTV - ScreenCloud Requirements

Avatar
by Nor Kanjanahattakij
Follow

Hello and thank you for visiting our ScreenCloud Help Center. This article will go through what Amazon Fire devices are compatible with ScreenCloud

Please Note: You do not need Amazon Prime to use ScreenCloud, but you do need an Amazon account. If you do not have one, you can register by visiting https://www.amazon.com.

Here is the list of the Amazon Fire TV devices, phones and tablets that are compatible with ScreenCloud:

Amazon Fire TV sticks 

  • First generation (Discontinued and not highly recommended)
  • Second generation (Most stable)

Note: We do not support Amazon Fire TV basic edition and don't recommend the All New Fire TV 4K edition yet.

Phones and tablets

  • Kindle Fire HD (2013)
  • Kindle Fire HDX (2013)
  • Kindle Fire HDX WAN (2013)
  • Kindle Fire HDX 8.9 WAN (2013)
  • Fire HD 6 (2014)
  • Fire HD 7 (2014)
  • Fire HDX 8.9 (2014)
  • Fire HDX 8.9 WAN (2014)
  • Fire (2015)
  • Fire HD 8 (2015)
  • Fire HD 10 (2015)
  • Fire HD 8 (2016)

Current tablets

If you have any additional questions or concerns on Amazon Fire devices that run ScreenCloud, or any other questions or feedback about your ScreenCloud Membership, feel free to reach out to our support team at support@screencloud.io or give us a call at +1-415-449-5426, then follow the prompts to reach support.

 

Comments

0 comments
Please sign in to leave a comment.